Subject: Re: [bug#39990] [PATCH] gnu: Update python-statsmodels to 0.11.1.
From: Roel Janssen <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked]
Date: Mon, 09 Mar 2020 13:04:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, 2020-03-09 at 13:47 +0200, Efraim Flashner wrote:
> On Mon, Mar 09, 2020 at 12:20:47PM +0100, Roel Janssen wrote:
> > On Mon, 2020-03-09 at 12:45 +0200, Efraim Flashner wrote:
> > > On Sun, Mar 08, 2020 at 11:19:06PM +0100, Roel Janssen wrote:
> > > > Dear Guix,
> > > > 
> > > > I'd like to update python-statsmodels because I'm packaging
> > > > something
> > > > that requires a newer version.
> > > > 
> > > > The patch is trivial, but I'm unsure whether it would trigger
> > > > too
> > > > many
> > > > rebuilds.  How do I check this?
> > > 
> > > 'guix refresh --list-dependent python-statsmodels' will give you
> > > a
> > > list of leaf
> > > packages affected by this package. As a python package, you
> > > should
> > > also
> > > check the python2- variant, so 'guix refresh -l python-
> > > statsmodels
> > > python2-statsmodels'
> > > 
> > 
> > Thanks!  Is my conclusion correct that, by updating python-
> > statsmodels
> > (and thus python2-statsmodels), only "ribodiff" will be
> > rebuilt?  And
> > therefore, the update can be pushed to master directly?
> 
> Yep, straight to master. Although if ribodiff builds before your
> patch
> and then doesn't after you're on the hook to fix it :)

Hehe.  Well, it ribodiff seems to fail even with the older python-
statsmodels.  I am looking into it right away.

Thanks for your help!  I pushed the update in b6574660e3.

Kind regards,
Roel Janssen